com.holonplatform.vaadin.flow.components.builders

## Interface ValidatableBooleanInputBuilder

- All Superinterfaces:
    BaseValidatableInputBuilder<Boolean,ValidatableInput<Boolean>,ValidatableBooleanInputBuilder>, BooleanInputConfigurator<ValidatableBooleanInputBuilder>, ClickNotifierConfigurator<com.vaadin.flow.component.checkbox.Checkbox,ClickEvent<com.vaadin.flow.component.checkbox.Checkbox>,ValidatableBooleanInputBuilder>, ComponentConfigurator<ValidatableBooleanInputBuilder>, DeferrableLocalizationConfigurator<ValidatableBooleanInputBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,ValidatableBooleanInputBuilder>, HasAutofocusConfigurator<ValidatableBooleanInputBuilder>, HasDeferrableLocalization, HasElementConfigurator<ValidatableBooleanInputBuilder>, HasEnabledConfigurator<ValidatableBooleanInputBuilder>, HasLabelConfigurator<ValidatableBooleanInputBuilder>, HasSizeConfigurator<ValidatableBooleanInputBuilder>, HasStyleConfigurator<ValidatableBooleanInputBuilder>, InputConfigurator<Boolean,ValueHolder.ValueChangeEvent<Boolean>,ValidatableBooleanInputBuilder>, InputValueConfigurator<Boolean,ValueHolder.ValueChangeEvent<Boolean>,ValidatableBooleanInputBuilder>, ValidatableInputConfigurator<Boolean,ValidatableInput<Boolean>,ValidatableBooleanInputBuilder>

      public interface ValidatableBooleanInputBuilder
      extends BooleanInputConfigurator<ValidatableBooleanInputBuilder>, BaseValidatableInputBuilder<Boolean,ValidatableInput<Boolean>,ValidatableBooleanInputBuilder>

  Validatable `Boolean` type `Input` builder.
  Since:
    5.2.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ClickNotifierConfigurator

      `onClick, withClickListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseValidatableInputBuilder

      `build`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ValidatableInputConfigurator

      `required, required, required, required, required, validateOnValueChange, validationStatusHandler, withValidator`

Copyright © 2019 The Holon Platform. All rights reserved.